define(["require", "exports", "tslib", "react", "@uifabric/example-app-base", "./examples/SpinButton.Basic.Example", "./examples/SpinButton.BasicDisabled.Example", "./examples/SpinButton.Stateful.Example", "./examples/SpinButton.BasicWithIcon.Example", "./examples/SpinButton.BasicWithEndPosition.Example"], function (require, exports, tslib_1, React, example_app_base_1, SpinButton_Basic_Example_1, SpinButton_BasicDisabled_Example_1, SpinButton_Stateful_Example_1, SpinButton_BasicWithIcon_Example_1, SpinButton_BasicWithEndPosition_Example_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var SpinButtonBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/examples/SpinButton.Basic.Example.tsx');
    var SpinButtonBasicDisabledExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/examples/SpinButton.BasicDisabled.Example.tsx');
    var SpinButtonStatefulExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/examples/SpinButton.Stateful.Example.tsx');
    var SpinButtonBasicWithIconExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/examples/SpinButton.BasicWithIcon.Example.tsx');
    var SpinButtonBasicWithEndPositionExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/examples/SpinButton.BasicWithEndPosition.Example.tsx');
    var SpinButtonPage = (function (_super) {
        tslib_1.__extends(SpinButtonPage, _super);
        function SpinButtonPage() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        SpinButtonPage.prototype.render = function () {
            return (React.createElement(example_app_base_1.ComponentPage, { title: 'SpinButton', componentName: 'SpinButtonExample', exampleCards: React.createElement("div", null,
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Basic SpinButton', code: SpinButtonBasicExampleCode },
                        React.createElement(SpinButton_Basic_Example_1.SpinButtonBasicExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Basic Disabled SpinButton', code: SpinButtonBasicDisabledExampleCode },
                        React.createElement(SpinButton_BasicDisabled_Example_1.SpinButtonBasicDisabledExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Stateful SpinButton', code: SpinButtonBasicExampleCode },
                        React.createElement(SpinButton_Stateful_Example_1.SpinButtonStatefulExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Basic SpinButton With Icon', code: SpinButtonBasicWithIconExampleCode },
                        React.createElement(SpinButton_BasicWithIcon_Example_1.SpinButtonBasicWithIconExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Basic SpinButton With Icon and Positioned at the End', code: SpinButtonBasicWithEndPositionExampleCode },
                        React.createElement(SpinButton_BasicWithEndPosition_Example_1.SpinButtonBasicWithEndPositionExample, null))), propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/SpinButton/SpinButton.Props.ts')
                    ] }), overview: React.createElement("div", null,
                    React.createElement("p", null, "A SpinButton allows the user to incrementaly adjust a value in small steps. It is mainly used for numeric values, but other values are supported too.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Use a SpinButton when changing a value with precise control."),
                        React.createElement("li", null, "Use a SpinButton when values are tied to a unit."),
                        React.createElement("li", null, "Include a label indicating what value the SpinButton changes."))), donts: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Don\u2019t use a SpinButton if the range of values is large."),
                        React.createElement("li", null, "Don\u2019t use a SpinButton for binary settings."),
                        React.createElement("li", null, "Don't use a SpinButton for a range of three values or less."))), related: React.createElement("a", { href: 'https://dev.office.com/fabric-js/Components/SpinButton/SpinButton.html' }, "Fabric JS"), isHeaderVisible: this.props.isHeaderVisible }));
        };
        return SpinButtonPage;
    }(React.Component));
    exports.SpinButtonPage = SpinButtonPage;
});

//# sourceMappingURL=SpinButtonPage.js.map
