"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Dialog_1 = require("office-ui-fabric-react/lib/Dialog");
var Button_1 = require("office-ui-fabric-react/lib/Button");
var ChoiceGroup_1 = require("office-ui-fabric-react/lib/ChoiceGroup");
var DialogBlockingExample = (function (_super) {
    tslib_1.__extends(DialogBlockingExample, _super);
    function DialogBlockingExample() {
        var _this = _super.call(this) || this;
        _this.state = {
            hideDialog: true
        };
        return _this;
    }
    DialogBlockingExample.prototype.render = function () {
        return (React.createElement("div", null,
            React.createElement(Button_1.DefaultButton, { description: 'Opens the Sample Dialog', onClick: this._showDialog.bind(this), text: 'Open Dialog' }),
            React.createElement(Dialog_1.Dialog, { hidden: this.state.hideDialog, onDismiss: this._closeDialog.bind(this), dialogContentProps: {
                    type: Dialog_1.DialogType.normal,
                    title: 'All emails together',
                    subText: 'Your Inbox has changed. No longer does it include favorites, it is a singular destination for your emails.'
                }, modalProps: {
                    isBlocking: true,
                    containerClassName: 'ms-dialogMainOverride'
                } },
                React.createElement(ChoiceGroup_1.ChoiceGroup, { options: [
                        {
                            key: 'A',
                            text: 'Option A'
                        },
                        {
                            key: 'B',
                            text: 'Option B',
                            checked: true
                        },
                        {
                            key: 'C',
                            text: 'Option C',
                            disabled: true
                        }
                    ], onChanged: this._onChoiceChanged }),
                React.createElement(Dialog_1.DialogFooter, null,
                    React.createElement(Button_1.PrimaryButton, { onClick: this._closeDialog.bind(this), text: 'Save' }),
                    React.createElement(Button_1.DefaultButton, { onClick: this._closeDialog.bind(this), text: 'Cancel' })))));
    };
    DialogBlockingExample.prototype._showDialog = function () {
        this.setState({ hideDialog: false });
    };
    DialogBlockingExample.prototype._closeDialog = function () {
        this.setState({ hideDialog: true });
    };
    DialogBlockingExample.prototype._onChoiceChanged = function () {
        console.log('Choice option change');
    };
    return DialogBlockingExample;
}(React.Component));
exports.DialogBlockingExample = DialogBlockingExample;

//# sourceMappingURL=Dialog.Blocking.Example.js.map
